/**
 * User: Clinton Begin
 * Date: Jul 13, 2003
 * Time: 8:18:30 PM
 */
package com.ibatis.jpetstore.persistence.dao.iface;

import com.ibatis.db.dao.*;
import com.ibatis.jpetstore.domain.*;
import com.ibatis.common.util.*;

public interface ItemDao {
  public void updateQuantity(Order order)
      throws DaoException;

  boolean isItemInStock(String itemId)
      throws DaoException;

  PaginatedList getItemListByProduct(String productId)
      throws DaoException;

  Item getItem(String itemId)
      throws DaoException;
}
